Skip to main content
GET
/
dev
/
v1
/
orders
List orders
curl --request GET \
  --url https://api.shoppex.io/dev/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ord_123",
      "uniqid": "11111111-1111-4111-8111-111111111111",
      "shop_id": "shop_1",
      "customer_id": "cus_1",
      "customer_email": "[email protected]",
      "currency": "USD",
      "status": "PENDING",
      "payment_status": "PENDING",
      "gateway": "STRIPE",
      "blockchain": null,
      "apm_method": "CARD",
      "flow_type": "PROVIDER_SESSION",
      "provider_reference": "pi_123",
      "provider_reference_type": "PAYMENT_INTENT",
      "subtotal": 29.99,
      "discount": 3,
      "total": 26.99,
      "exchange_rate": 1,
      "crypto_exchange_rate": 0,
      "balance_paid_amount": 0,
      "checkout_url": "https://checkout.shoppex.io/invoice/11111111-1111-4111-8111-111111111111",
      "custom_fields": {
        "source": "affiliate",
        "campaign": "spring_launch"
      },
      "items": [
        {
          "product_id": "prod_starter",
          "product_title": "Starter Pack",
          "product_type": "DIGITAL",
          "variant_title": "Standard",
          "quantity": 1,
          "unit_price": 29.99,
          "total": 29.99,
          "delivery_instructions": "Discord: shoppex",
          "delivery_instructions_label": "Discord username",
          "delivered_items": {
            "access_url": "https://downloads.example.com/starter-pack"
          }
        }
      ],
      "created_at": 1711510800,
      "updated_at": 1711510860
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

cursor
string
limit
string
status
string
customerEmail
string
filters
string
sorts
string

Response

Successful response

data
object[]
required
pagination
object
required